GEOM_UNCOMPRESS(4)

NAME
geom_uncompress - GEOM based compressed disk images

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

options GEOM_UNCOMPRESS

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    geom_uncompress_load="YES"

DESCRIPTION
The geom_uncompress framework provides support for compressed read only disk images. This allows significant storage savings at the expense of a little CPU time on each read. Data written in the GEOM label area allows geom_uncompress to detect compressed images which have been created with mkulzma(8) or mkuzip(8) and presented to the kernel as a logical disk device via md(4). geom_uncompress creates a unique md#.uncompress device for each image.

The geom_uncompress device is subsequently used by the FreeBSD kernel to access the disk images. The geom_uncompress driver does not allow write operations to the underlying disk image. To check which md(4) devices match a given geom_uncompress device:

    # geom uncompress list
    Geom name: md0.uncompress
    Providers:
    1. Name: md0.uncompress
       Mediasize: 52428800 (50M)
       Sectorsize: 512
       Mode: r1w0e0
    Consumers:
    1. Name: md0
       Mediasize: 20864000 (20M)
       Sectorsize: 512
       Mode: r1w0e0

SEE ALSO
GEOM(4), md(4), geom(8), mkulzma(8), mkuzip(8)

AUTHORS
-nosplit The geom_uncompress driver was written by Maxim Sobolev <sobomax@FreeBSD.org> and Aleksandr Rybalko <ray@FreeBSD.org>. This manual page was written by Luiz Otavio O Souza <loos@FreeBSD.org>.